Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Thu 22 Nov 2018, 06:35
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Virtualization
Wine - run Windows programs in Linux
Post new topic   Reply to topic View previous topic :: View next topic
Page 19 of 23 [331 Posts]   Goto page: Previous 1, 2, 3, ..., 17, 18, 19, 20, 21, 22, 23 Next
Author Message
version2013

Joined: 08 Sep 2013
Posts: 389
Location: Florida, USA

PostPosted: Thu 08 Feb 2018, 00:06    Post subject: Wine-3.1  

My attempt at compiling wine-3.1

[wine-3.1 mirrors]

wine-3.1_v1.1.pet _________ puppy 431 [stripped=true]
wine-3.1_v1.2.pet _________ puppy 431 [stripped=false]
wine_DEV-3.1_v1.1.pet ____ puppy 431
wine_DEV-3.1_v1.2.pet ____ puppy 431

wine-3.1_v2.1.pet _________ racy 5.5 [stripped=true]
wine-3.1_v2.2.pet _________ racy 5.5 [stripped=false]
wine_DEV-3.1_v2.1.pet ____ racy 5.5
wine_DEV-3.1_v2.2.pet ____ racy 5.5

wine-3.1_v3.1.pet _________ tahrpup 6.0.5 PAE [stripped=true]
wine-3.1_v3.2.pet _________ tahrpup 6.0.5 PAE [stripped=false]
wine_DEV-3.1_v3.1.pet ____ tahrpup 6.0.5 PAE
wine_DEV-3.1_v3.2.pet ____ tahrpup 6.0.5 PAE

wine_DOC-3.1.pet

wine_extras-v2.1.pet __________ menu entries | mirrors
md5.txt and hashdeep.txt ____ checksums/hashes | mirrors

----------------------------------------------------------------
Notes for my webpage
http://version2013.yolasite.com/page1.php

The ">" character points to a directory of download links, or an individual download link.
example:
> __ wine/3.1/
> _____wine-3.1_v1.1.pet

----------------------------------------------------------------

For general use, I recommend packages that are 'stripped=true'.
For submitting bug reports to WineHQ, I recommend packages that are 'stripped=false'.
When submitting bug reports to WineHQ, it appears a 'stripped=false' Wine provides more information than a 'stripped=true' Wine.
[references: post | page]

The first post has links to:
pet to sfs scripts, menu entry utilities, and Wine usage tips.

----------------------------------------------------------------------------------------------------------

----------------
puppy 431
----------------

I compiled using puplet: Puppies 4.31.1 by forum member 'ttuuxxx'

mirrors | /distro/4.3__1/puppies-431.1-main-Xserver.iso
mirrors | /distro/4.3__1/devx_430.sfs

This puplet uses glibc 2.6.1
The Wine files listing 'puppy 431' will possibly:
- fail with a glibc before 2.6.1
- succeed with a glibc of 2.6.1 and above

To see what glibc your puppy has.
Code:
ldd --version
Code:
/lib/libc.so.6
Code:
getconf GNU_LIBC_VERSION

I installed the following packages, as one sfs file, before compiling;
also known as dependencies:

fontconfig/2.7.1/fontconfig-2.7.1-i486-pup4.pet [mirrors]
fontconfig/2.7.1/fontconfig_DEV-2.7.1-i486-pup4.pet

gmp/6.1.1/gmp-6.1.1-i486_v1.2.pet [mirrors]
gmp/6.1.1/gmp_DEV-6.1.1-i486_v1.2.pet

gnutls/3.5.2/gnutls-3.5.2_v1.2.pet [mirrors]
gnutls/3.5.2/gnutls_DEV-3.5.2.pet

lcms2/2.8/lcms2-2.8_v2.pet [mirrors]
lcms2/2.8/lcms2_DEV-2.8_v2.pet

libelf/0.8.13/libelf-0.8.13-i486_v2.pet [mirrors]
libelf/0.8.13/libelf_DEV-0.8.13-i486_v2.pet

libgcrypt/1.4.6/libgcrypt-1.4.6-i486-431.pet [mirrors]
libgcrypt/1.4.6/libgcrypt_DEV-1.4.6-i486-431.pet

libgpg-error/1.10/libgpg-error-1.10-i486-431.pet [mirrors]
libgpg-error/1.10/libgpg_DEV-error-1.10-i486-431.pet

libgphoto2/2.5.0/libgphoto2-2.5.0-i486_v2.pet [mirrors]
libgphoto2/2.5.0/libgphoto2_DEV-2.5.0-i486.pet

libtasn1/4.8/libtasn1-4.8-i486_v1.2.pet [mirrors]
libtasn1/4.8/libtasn1_DEV-4.8-i486_v1.2.pet

libusb/1.0.9/libusb-1.0.9-i486_v2.pet [mirrors]
libusb/1.0.9/libusb_DEV-1.0.9-i486_v2.pet

mpg123/1.12.4/mpg123-1.12.4.pet [mirrors]
mpg123/1.12.4/mpg123_DEV-1.12.4.pet

nettle/3.2/nettle-3.2_v1.2.pet [mirrors]
nettle/3.2/nettle_DEV-3.2_v1.2.pet

openal-soft/1.13/openal-soft-1.13-i486_v1.1.pet [mirrors]
openal-soft/1.13/openal-soft_DEV-1.13-i486_v1.pet

openldap/2.4.13/openldap-2.4.13-i486.pet [mirrors]
openldap/2.4.13/openldap_DEV-2.4.13-i486.pet

prelink/20130503/prelink-20130503-i486_v2.pet [mirrors]

xorg/7.3/xorg_xorg_full_dri-7.3.pet [mirrors]
xorg/7.3/xorg_xorg_full_dri_DEV-7.3.pet

------------------------------------

When compiling in puppy 431, I used:
v1.1
Code:
configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x --libdir=/usr/lib32 CFLAGS="-O2"

v1.2
Code:
configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x --libdir=/usr/lib32 CFLAGS="-g -O0 -fno-optimize-sibling-calls -fno-omit-frame-pointer -fno-inline"


----------------------------------------------------------------------------------------------------------

------------
racy 5.5
------------

I compiled using racy 5.5

mirrors | /distro/racy5.5/racy-5.5.iso
mirrors | /distro/racy5.5/devx_racy_5.5.sfs

This puppy distro uses glibc 2.10.1
The Wine files listing 'racy 5.5' will possibly:
- fail with a glibc before 2.10.1
- succeed with a glibc of 2.10.1 and above

To see what glibc your puppy has.
Code:
ldd --version
Code:
/lib/libc.so.6
Code:
getconf GNU_LIBC_VERSION

I installed the following packages, as one sfs file, before compiling;
also known as dependencies:

fontconfig/2.8.0/fontconfig-2.8.0-w5c.pet [mirrors]
fontconfig/2.8.0/fontconfig_DEV-2.8.0-w5c.pet

gmp/6.1.1/gmp-6.1.1-i486_v1.2.pet [mirrors]
gmp/6.1.1/gmp_DEV-6.1.1-i486_v1.2.pet

gnutls/3.5.2/gnutls-3.5.2_v1.2.pet [mirrors]
gnutls/3.5.2/gnutls_DEV-3.5.2.pet

lcms2/2.8/lcms2-2.8_v2.pet [mirrors]
lcms2/2.8/lcms2_DEV-2.8_v2.pet

libelf/0.8.13/libelf-0.8.13-i486_v2.pet [mirrors]
libelf/0.8.13/libelf_DEV-0.8.13-i486_v2.pet

libgcrypt/1.4.6/libgcrypt-1.4.6-i486-431.pet [mirrors]
libgcrypt/1.4.6/libgcrypt_DEV-1.4.6-i486-431.pet

libgpg-error/1.10/libgpg-error-1.10-i486-431.pet [mirrors]
libgpg-error/1.10/libgpg_DEV-error-1.10-i486-431.pet

libtasn1/4.8/libtasn1-4.8-i486_v1.2.pet [mirrors]
libtasn1/4.8/libtasn1_DEV-4.8-i486_v1.2.pet

mpg123/1.12.4/mpg123-1.12.4.pet [mirrors]
mpg123/1.12.4/mpg123_DEV-1.12.4.pet

nettle/3.2/nettle-3.2_v1.2.pet [mirrors]
nettle/3.2/nettle_DEV-3.2_v1.2.pet

openal-soft/1.13/openal-soft-1.13-i486_v1.1.pet [mirrors]
openal-soft/1.13/openal-soft_DEV-1.13-i486_v1.pet

openldap/2.4.13/openldap-2.4.13-i486.pet [mirrors]
openldap/2.4.13/openldap_DEV-2.4.13-i486.pet

prelink/20130503/prelink-20130503-i486_v2.pet [mirrors]

----------------------------------------

When compiling in racy 5.5, I used:
v2.1
Code:
configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x --libdir=/usr/lib32 CFLAGS="-O2"

v2.2
Code:
configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x --libdir=/usr/lib32 CFLAGS="-g -O0 -fno-optimize-sibling-calls -fno-omit-frame-pointer -fno-inline"


----------------------------------------------------------------------------------------------------------

----------------------------
tahrpup 6.0.5 PAE
----------------------------

I compiled using tahrpup 6.0.5 PAE

mirrors | /distro/tahrpup-6.0.5_PAE/tahr-6.0.5_PAE.iso
mirrors | /distro/tahrpup-6.0.5_PAE/devx_tahr_6.0.5.sfs

This puppy distro uses glibc 2.19
The Wine files listing 'tahrpup 6.0.5 PAE' will possibly:
- fail with a glibc before 2.19
- succeed with a glibc of 2.19 and above

To see what glibc your puppy has.
Code:
ldd --version
Code:
/lib/libc.so.6
Code:
getconf GNU_LIBC_VERSION

I installed the following packages before compiling;
also known as dependencies:

mpg123/1.12.4/mpg123-1.12.4.pet [mirrors]
mpg123/1.12.4/mpg123_DEV-1.12.4.pet

openal-soft/1.13/openal-soft-1.13-i486_v1.1.pet [mirrors]
openal-soft/1.13/openal-soft_DEV-1.13-i486_v1.pet

----------------------------------------

When compiling in tahrpup 6.0.5 PAE, I used:
v3.1
Code:
configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --with-x --libdir=/usr/lib32 CFLAGS="-O2"

v3.2
Code:
configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --with-x --libdir=/usr/lib32 CFLAGS="-g -O0 -fno-optimize-sibling-calls -fno-omit-frame-pointer -fno-inline"


----------------------------------------------------------------------------------------------------------

Menu entries, Color Setter, and other stuff I got from the file 'winegoodies.tar.gz' [post | page] provided by forum member 'technosaurus'.
I only made a few changes to the contents of that file.

----------------------------------------------------------------------------------------------------------

updated links at my homepage. see below.
Back to top
View user's profile Send private message Visit poster's website 
version2013

Joined: 08 Sep 2013
Posts: 389
Location: Florida, USA

PostPosted: Thu 08 Feb 2018, 22:29    Post subject: Wine64-3.1  

My attempt at compiling wine64
This is a WOW64 build.
https://wiki.winehq.org/Building_Wine#Shared_WoW64

[wine-3.1 mirrors]

wine64-3.1_v4.1.pet _________ tahrpup64 6.0.5 [stripped=true]
wine64_DEV-3.1.pet __________ tahrpup64 6.0.5
wine64_DOC-3.1.pet __________ tahrpup64 6.0.5

----------------------------
tahrpup64 6.0.5
----------------------------

I compiled using tahrpup64 6.0.5

This puppy distro uses glibc 2.19
The Wine files listing 'tahrpup64 6.0.5' will possibly:
- fail with a glibc before 2.19
- succeed with a glibc of 2.19 and above

To see what glibc your puppy has.
Code:
ldd --version
Code:
/lib/libc.so.6
Code:
getconf GNU_LIBC_VERSION


----------------------------------------

When compiling in tahrpup64 6.0.5, I used:
Code:
configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --with-x --enable-win64 --libdir=/usr/lib64 CFLAGS="-O2"


https://wiki.winehq.org/Packaging#WoW64_Workarounds
For the 32-bit wine build, I used files from 'wine-3.1_v3.1.pet' from the previous forum post.
----------------------------------------------------------------------------------------------------------
The 32-bit wineserver is included, just in case it is needed.
It is a hidden file ".wineserver"

I do not have any 64-bit applications to test.
I can only do minimal testing because my AMD graphics driver is not functioning properly.
I may have to learn to compile Mesa to do any more detailed testing of 32-bit applications with this wine build.
I am relying on others to test this wine version.
Back to top
View user's profile Send private message Visit poster's website 
version2013

Joined: 08 Sep 2013
Posts: 389
Location: Florida, USA

PostPosted: Thu 08 Feb 2018, 23:32    Post subject: winetricks  

https://wiki.winehq.org/Winetricks
winetricks has an update function. Apparently it has had this function since at least 20170614.

If you already have winetricks, try
Code:
winetricks --self-update

If you do not have winetricks, try
Code:
cd /usr/sbin
wget  https://raw.githubusercontent.com/Winetricks/winetricks/master/src/winetricks
chmod +x winetricks
Back to top
View user's profile Send private message Visit poster's website 
version2013

Joined: 08 Sep 2013
Posts: 389
Location: Florida, USA

PostPosted: Fri 23 Feb 2018, 00:13    Post subject: Wine-3.2  

My attempt at compiling wine-3.2

[wine-3.2 mirrors]

v2.x would not compile.
https://bugs.winehq.org/show_bug.cgi?id=44556

wine-3.2_v1.1.pet _________ puppy 431 [stripped=true]
wine-3.2_v1.2.pet _________ puppy 431 [stripped=false]
wine_DEV-3.2_v1.1.pet ____ puppy 431
wine_DEV-3.2_v1.2.pet ____ puppy 431

wine-3.2_v3.1.pet _________ tahrpup 6.0.5 PAE [stripped=true]
wine-3.2_v3.2.pet _________ tahrpup 6.0.5 PAE [stripped=false]
wine_DEV-3.2_v3.1.pet ____ tahrpup 6.0.5 PAE
wine_DEV-3.2_v3.2.pet ____ tahrpup 6.0.5 PAE

wine_DOC-3.2.pet

wine_extras-v2.1.pet __________ menu entries | mirrors
md5.txt and hashdeep.txt ____ checksums/hashes | mirrors

----------------------------------------------------------------
Notes for my webpage
http://version2013.yolasite.com/page1.php

The ">" character points to a directory of download links, or an individual download link.
example:
> __ wine/3.2/
> _____wine-3.2_v1.1.pet

----------------------------------------------------------------

For general use, I recommend packages that are 'stripped=true'.
For submitting bug reports to WineHQ, I recommend packages that are 'stripped=false'.
When submitting bug reports to WineHQ, it appears a 'stripped=false' Wine provides more information than a 'stripped=true' Wine.
[references: post | page]

The first post has links to:
pet to sfs scripts, menu entry utilities, and Wine usage tips.

----------------------------------------------------------------------------------------------------------

----------------
puppy 431
----------------

I compiled using puplet: Puppies 4.31.1 by forum member 'ttuuxxx'

mirrors | /distro/4.3__1/puppies-431.1-main-Xserver.iso
mirrors | /distro/4.3__1/devx_430.sfs

This puplet uses glibc 2.6.1
The Wine files listing 'puppy 431' will possibly:
- fail with a glibc before 2.6.1
- succeed with a glibc of 2.6.1 and above

To see what glibc your puppy has.
Code:
ldd --version
Code:
/lib/libc.so.6
Code:
getconf GNU_LIBC_VERSION

I installed the following packages, as one sfs file, before compiling;
also known as dependencies:

fontconfig/2.7.1/fontconfig-2.7.1-i486-pup4.pet [mirrors]
fontconfig/2.7.1/fontconfig_DEV-2.7.1-i486-pup4.pet

gmp/6.1.1/gmp-6.1.1-i486_v1.2.pet [mirrors]
gmp/6.1.1/gmp_DEV-6.1.1-i486_v1.2.pet

gnutls/3.5.2/gnutls-3.5.2_v1.2.pet [mirrors]
gnutls/3.5.2/gnutls_DEV-3.5.2.pet

lcms2/2.8/lcms2-2.8_v2.pet [mirrors]
lcms2/2.8/lcms2_DEV-2.8_v2.pet

libelf/0.8.13/libelf-0.8.13-i486_v2.pet [mirrors]
libelf/0.8.13/libelf_DEV-0.8.13-i486_v2.pet

libgcrypt/1.4.6/libgcrypt-1.4.6-i486-431.pet [mirrors]
libgcrypt/1.4.6/libgcrypt_DEV-1.4.6-i486-431.pet

libgpg-error/1.10/libgpg-error-1.10-i486-431.pet [mirrors]
libgpg-error/1.10/libgpg_DEV-error-1.10-i486-431.pet

libgphoto2/2.5.0/libgphoto2-2.5.0-i486_v2.pet [mirrors]
libgphoto2/2.5.0/libgphoto2_DEV-2.5.0-i486.pet

libtasn1/4.8/libtasn1-4.8-i486_v1.2.pet [mirrors]
libtasn1/4.8/libtasn1_DEV-4.8-i486_v1.2.pet

libusb/1.0.9/libusb-1.0.9-i486_v2.pet [mirrors]
libusb/1.0.9/libusb_DEV-1.0.9-i486_v2.pet

mpg123/1.12.4/mpg123-1.12.4.pet [mirrors]
mpg123/1.12.4/mpg123_DEV-1.12.4.pet

nettle/3.2/nettle-3.2_v1.2.pet [mirrors]
nettle/3.2/nettle_DEV-3.2_v1.2.pet

openal-soft/1.13/openal-soft-1.13-i486_v1.1.pet [mirrors]
openal-soft/1.13/openal-soft_DEV-1.13-i486_v1.pet

openldap/2.4.13/openldap-2.4.13-i486.pet [mirrors]
openldap/2.4.13/openldap_DEV-2.4.13-i486.pet

prelink/20130503/prelink-20130503-i486_v2.pet [mirrors]

xorg/7.3/xorg_xorg_full_dri-7.3.pet [mirrors]
xorg/7.3/xorg_xorg_full_dri_DEV-7.3.pet

------------------------------------

When compiling in puppy 431, I used:
v1.1
Code:
configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x --libdir=/usr/lib32 CFLAGS="-O2"

v1.2
Code:
configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x --libdir=/usr/lib32 CFLAGS="-g -O0 -fno-optimize-sibling-calls -fno-omit-frame-pointer -fno-inline"


----------------------------------------------------------------------------------------------------------

----------------------------
tahrpup 6.0.5 PAE
----------------------------

I compiled using tahrpup 6.0.5 PAE

mirrors | /distro/tahrpup-6.0.5_PAE/tahr-6.0.5_PAE.iso
mirrors | /distro/tahrpup-6.0.5_PAE/devx_tahr_6.0.5.sfs

This puppy distro uses glibc 2.19
The Wine files listing 'tahrpup 6.0.5 PAE' will possibly:
- fail with a glibc before 2.19
- succeed with a glibc of 2.19 and above

To see what glibc your puppy has.
Code:
ldd --version
Code:
/lib/libc.so.6
Code:
getconf GNU_LIBC_VERSION

I installed the following packages before compiling;
also known as dependencies:

mpg123/1.12.4/mpg123-1.12.4.pet [mirrors]
mpg123/1.12.4/mpg123_DEV-1.12.4.pet

openal-soft/1.13/openal-soft-1.13-i486_v1.1.pet [mirrors]
openal-soft/1.13/openal-soft_DEV-1.13-i486_v1.pet

----------------------------------------

When compiling in tahrpup 6.0.5 PAE, I used:
v3.1
Code:
configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --with-x --libdir=/usr/lib32 CFLAGS="-O2"

v3.2
Code:
configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --with-x --libdir=/usr/lib32 CFLAGS="-g -O0 -fno-optimize-sibling-calls -fno-omit-frame-pointer -fno-inline"


----------------------------------------------------------------------------------------------------------

Menu entries, Color Setter, and other stuff I got from the file 'winegoodies.tar.gz' [post | page] provided by forum member 'technosaurus'.
I only made a few changes to the contents of that file.

----------------------------------------------------------------------------------------------------------

updated links at my homepage. see below.

Last edited by version2013 on Mon 26 Feb 2018, 00:01; edited 1 time in total
Back to top
View user's profile Send private message Visit poster's website 
version2013

Joined: 08 Sep 2013
Posts: 389
Location: Florida, USA

PostPosted: Sun 25 Feb 2018, 23:49    Post subject: Wine64-3.2  

My attempt at compiling wine64
This is a WOW64 build.
https://wiki.winehq.org/Building_Wine#Shared_WoW64

[wine-3.2 mirrors]

wine64-3.2_v4.1.pet _________ tahrpup64 6.0.5 [stripped=true]
wine64_DEV-3.2.pet __________ tahrpup64 6.0.5
wine64_DOC-3.2.pet __________ tahrpup64 6.0.5

----------------------------
tahrpup64 6.0.5
----------------------------

I compiled using tahrpup64 6.0.5

This puppy distro uses glibc 2.19
The Wine files listing 'tahrpup64 6.0.5' will possibly:
- fail with a glibc before 2.19
- succeed with a glibc of 2.19 and above

To see what glibc your puppy has.
Code:
ldd --version
Code:
/lib/libc.so.6
Code:
getconf GNU_LIBC_VERSION


----------------------------------------

When compiling in tahrpup64 6.0.5, I used:
Code:
configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --with-x --enable-win64 --libdir=/usr/lib64 CFLAGS="-O2"


https://wiki.winehq.org/Packaging#WoW64_Workarounds
For the 32-bit wine build, I used files from 'wine-3.2_v3.1.pet' from the previous forum post.
----------------------------------------------------------------------------------------------------------
The 32-bit wineserver is included, just in case it is needed.
It is a hidden file ".wineserver"

I do not have any 64-bit applications to test.
I can only do minimal testing because my AMD graphics driver is not functioning properly.
I may have to learn to compile Mesa to do any more detailed testing of 32-bit applications with this wine build.
I am relying on others to test this wine version.
Back to top
View user's profile Send private message Visit poster's website 
version2013

Joined: 08 Sep 2013
Posts: 389
Location: Florida, USA

PostPosted: Sun 11 Mar 2018, 21:51    Post subject: Wine-3.3  

My attempt at compiling wine-3.3

[wine-3.3 mirrors]

wine-3.3_v1.1.pet _________ puppy 431 [stripped=true]
wine-3.3_v1.2.pet _________ puppy 431 [stripped=false]
wine_DEV-3.3_v1.1.pet ____ puppy 431
wine_DEV-3.3_v1.2.pet ____ puppy 431

wine-3.3_v2.1.pet _________ racy 5.5 [stripped=true]
wine-3.3_v2.2.pet _________ racy 5.5 [stripped=false]
wine_DEV-3.3_v2.1.pet ____ racy 5.5
wine_DEV-3.3_v2.2.pet ____ racy 5.5

wine-3.3_v3.1.pet _________ tahrpup 6.0.5 PAE [stripped=true]
wine-3.3_v3.2.pet _________ tahrpup 6.0.5 PAE [stripped=false]
wine_DEV-3.3_v3.1.pet ____ tahrpup 6.0.5 PAE
wine_DEV-3.3_v3.2.pet ____ tahrpup 6.0.5 PAE

wine_DOC-3.3.pet

wine_extras-v2.1.pet __________ menu entries | mirrors
md5.txt and hashdeep.txt ____ checksums/hashes | mirrors

----------------------------------------------------------------
Notes for my webpage
http://version2013.yolasite.com/page1.php

The ">" character points to a directory of download links, or an individual download link.
example:
> __ wine/3.3/
> _____wine-3.3_v1.1.pet

----------------------------------------------------------------

For general use, I recommend packages that are 'stripped=true'.
For submitting bug reports to WineHQ, I recommend packages that are 'stripped=false'.
When submitting bug reports to WineHQ, it appears a 'stripped=false' Wine provides more information than a 'stripped=true' Wine.
[references: post | page]

The first post has links to:
pet to sfs scripts, menu entry utilities, and Wine usage tips.

----------------------------------------------------------------------------------------------------------

----------------
puppy 431
----------------

I compiled using puplet: Puppies 4.31.1 by forum member 'ttuuxxx'

mirrors | /distro/4.3__1/puppies-431.1-main-Xserver.iso
mirrors | /distro/4.3__1/devx_430.sfs

This puplet uses glibc 2.6.1
The Wine files listing 'puppy 431' will possibly:
- fail with a glibc before 2.6.1
- succeed with a glibc of 2.6.1 and above

To see what glibc your puppy has.
Code:
ldd --version
Code:
/lib/libc.so.6
Code:
getconf GNU_LIBC_VERSION

I installed the following packages, as one sfs file, before compiling;
also known as dependencies:

fontconfig/2.7.1/fontconfig-2.7.1-i486-pup4.pet [mirrors]
fontconfig/2.7.1/fontconfig_DEV-2.7.1-i486-pup4.pet

gmp/6.1.1/gmp-6.1.1-i486_v1.2.pet [mirrors]
gmp/6.1.1/gmp_DEV-6.1.1-i486_v1.2.pet

gnutls/3.5.2/gnutls-3.5.2_v1.2.pet [mirrors]
gnutls/3.5.2/gnutls_DEV-3.5.2.pet

lcms2/2.8/lcms2-2.8_v2.pet [mirrors]
lcms2/2.8/lcms2_DEV-2.8_v2.pet

libelf/0.8.13/libelf-0.8.13-i486_v2.pet [mirrors]
libelf/0.8.13/libelf_DEV-0.8.13-i486_v2.pet

libgcrypt/1.4.6/libgcrypt-1.4.6-i486-431.pet [mirrors]
libgcrypt/1.4.6/libgcrypt_DEV-1.4.6-i486-431.pet

libgpg-error/1.10/libgpg-error-1.10-i486-431.pet [mirrors]
libgpg-error/1.10/libgpg_DEV-error-1.10-i486-431.pet

libgphoto2/2.5.0/libgphoto2-2.5.0-i486_v2.pet [mirrors]
libgphoto2/2.5.0/libgphoto2_DEV-2.5.0-i486.pet

libtasn1/4.8/libtasn1-4.8-i486_v1.2.pet [mirrors]
libtasn1/4.8/libtasn1_DEV-4.8-i486_v1.2.pet

libusb/1.0.9/libusb-1.0.9-i486_v2.pet [mirrors]
libusb/1.0.9/libusb_DEV-1.0.9-i486_v2.pet

mpg123/1.12.4/mpg123-1.12.4.pet [mirrors]
mpg123/1.12.4/mpg123_DEV-1.12.4.pet

nettle/3.2/nettle-3.2_v1.2.pet [mirrors]
nettle/3.2/nettle_DEV-3.2_v1.2.pet

openal-soft/1.13/openal-soft-1.13-i486_v1.1.pet [mirrors]
openal-soft/1.13/openal-soft_DEV-1.13-i486_v1.pet

openldap/2.4.13/openldap-2.4.13-i486.pet [mirrors]
openldap/2.4.13/openldap_DEV-2.4.13-i486.pet

prelink/20130503/prelink-20130503-i486_v2.pet [mirrors]

xorg/7.3/xorg_xorg_full_dri-7.3.pet [mirrors]
xorg/7.3/xorg_xorg_full_dri_DEV-7.3.pet

------------------------------------

When compiling in puppy 431, I used:
v1.1
Code:
configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x --libdir=/usr/lib32 CFLAGS="-O2"

v1.2
Code:
configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x --libdir=/usr/lib32 CFLAGS="-g -O0 -fno-optimize-sibling-calls -fno-omit-frame-pointer -fno-inline"


----------------------------------------------------------------------------------------------------------

------------
racy 5.5
------------

I compiled using racy 5.5

mirrors | /distro/racy5.5/racy-5.5.iso
mirrors | /distro/racy5.5/devx_racy_5.5.sfs

This puppy distro uses glibc 2.10.1
The Wine files listing 'racy 5.5' will possibly:
- fail with a glibc before 2.10.1
- succeed with a glibc of 2.10.1 and above

To see what glibc your puppy has.
Code:
ldd --version
Code:
/lib/libc.so.6
Code:
getconf GNU_LIBC_VERSION

I installed the following packages, as one sfs file, before compiling;
also known as dependencies:

fontconfig/2.8.0/fontconfig-2.8.0-w5c.pet [mirrors]
fontconfig/2.8.0/fontconfig_DEV-2.8.0-w5c.pet

gmp/6.1.1/gmp-6.1.1-i486_v1.2.pet [mirrors]
gmp/6.1.1/gmp_DEV-6.1.1-i486_v1.2.pet

gnutls/3.5.2/gnutls-3.5.2_v1.2.pet [mirrors]
gnutls/3.5.2/gnutls_DEV-3.5.2.pet

lcms2/2.8/lcms2-2.8_v2.pet [mirrors]
lcms2/2.8/lcms2_DEV-2.8_v2.pet

libelf/0.8.13/libelf-0.8.13-i486_v2.pet [mirrors]
libelf/0.8.13/libelf_DEV-0.8.13-i486_v2.pet

libgcrypt/1.4.6/libgcrypt-1.4.6-i486-431.pet [mirrors]
libgcrypt/1.4.6/libgcrypt_DEV-1.4.6-i486-431.pet

libgpg-error/1.10/libgpg-error-1.10-i486-431.pet [mirrors]
libgpg-error/1.10/libgpg_DEV-error-1.10-i486-431.pet

libtasn1/4.8/libtasn1-4.8-i486_v1.2.pet [mirrors]
libtasn1/4.8/libtasn1_DEV-4.8-i486_v1.2.pet

mpg123/1.12.4/mpg123-1.12.4.pet [mirrors]
mpg123/1.12.4/mpg123_DEV-1.12.4.pet

nettle/3.2/nettle-3.2_v1.2.pet [mirrors]
nettle/3.2/nettle_DEV-3.2_v1.2.pet

openal-soft/1.13/openal-soft-1.13-i486_v1.1.pet [mirrors]
openal-soft/1.13/openal-soft_DEV-1.13-i486_v1.pet

openldap/2.4.13/openldap-2.4.13-i486.pet [mirrors]
openldap/2.4.13/openldap_DEV-2.4.13-i486.pet

prelink/20130503/prelink-20130503-i486_v2.pet [mirrors]

----------------------------------------

When compiling in racy 5.5, I used:
v2.1
Code:
configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x --libdir=/usr/lib32 CFLAGS="-O2"

v2.2
Code:
configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x --libdir=/usr/lib32 CFLAGS="-g -O0 -fno-optimize-sibling-calls -fno-omit-frame-pointer -fno-inline"


----------------------------------------------------------------------------------------------------------

----------------------------
tahrpup 6.0.5 PAE
----------------------------

I compiled using tahrpup 6.0.5 PAE

mirrors | /distro/tahrpup-6.0.5_PAE/tahr-6.0.5_PAE.iso
mirrors | /distro/tahrpup-6.0.5_PAE/devx_tahr_6.0.5.sfs

This puppy distro uses glibc 2.19
The Wine files listing 'tahrpup 6.0.5 PAE' will possibly:
- fail with a glibc before 2.19
- succeed with a glibc of 2.19 and above

To see what glibc your puppy has.
Code:
ldd --version
Code:
/lib/libc.so.6
Code:
getconf GNU_LIBC_VERSION

I installed the following packages before compiling;
also known as dependencies:

mpg123/1.12.4/mpg123-1.12.4.pet [mirrors]
mpg123/1.12.4/mpg123_DEV-1.12.4.pet

openal-soft/1.13/openal-soft-1.13-i486_v1.1.pet [mirrors]
openal-soft/1.13/openal-soft_DEV-1.13-i486_v1.pet

----------------------------------------

When compiling in tahrpup 6.0.5 PAE, I used:
v3.1
Code:
configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --with-x --libdir=/usr/lib32 CFLAGS="-O2"

v3.2
Code:
configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --with-x --libdir=/usr/lib32 CFLAGS="-g -O0 -fno-optimize-sibling-calls -fno-omit-frame-pointer -fno-inline"


----------------------------------------------------------------------------------------------------------

Menu entries, Color Setter, and other stuff I got from the file 'winegoodies.tar.gz' [post | page] provided by forum member 'technosaurus'.
I only made a few changes to the contents of that file.

----------------------------------------------------------------------------------------------------------

updated links at my homepage. see below.

Last edited by version2013 on Tue 13 Mar 2018, 23:58; edited 1 time in total
Back to top
View user's profile Send private message Visit poster's website 
version2013

Joined: 08 Sep 2013
Posts: 389
Location: Florida, USA

PostPosted: Sun 11 Mar 2018, 21:54    Post subject: Wine64-3.3  

My attempt at compiling wine64
This is a WOW64 build.
https://wiki.winehq.org/Building_Wine#Shared_WoW64

[wine-3.3 mirrors]

wine64-3.3_v4.1.pet _________ tahrpup64 6.0.5 [stripped=true]
wine64_DEV-3.3.pet __________ tahrpup64 6.0.5
wine64_DOC-3.3.pet __________ tahrpup64 6.0.5

----------------------------
tahrpup64 6.0.5
----------------------------

I compiled using tahrpup64 6.0.5

This puppy distro uses glibc 2.19
The Wine files listing 'tahrpup64 6.0.5' will possibly:
- fail with a glibc before 2.19
- succeed with a glibc of 2.19 and above

To see what glibc your puppy has.
Code:
ldd --version
Code:
/lib/libc.so.6
Code:
getconf GNU_LIBC_VERSION


----------------------------------------

When compiling in tahrpup64 6.0.5, I used:
Code:
configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --with-x --enable-win64 --libdir=/usr/lib64 CFLAGS="-O2"


https://wiki.winehq.org/Packaging#WoW64_Workarounds
For the 32-bit wine build, I used files from 'wine-3.3_v3.1.pet' from the previous forum post.
----------------------------------------------------------------------------------------------------------
The 32-bit wineserver is included, just in case it is needed.
It is a hidden file ".wineserver"

I do not have any 64-bit applications to test.
I can only do minimal testing because my AMD graphics driver is not functioning properly.
I may have to learn to compile Mesa to do any more detailed testing of 32-bit applications with this wine build.
I am relying on others to test this wine version.
Back to top
View user's profile Send private message Visit poster's website 
version2013

Joined: 08 Sep 2013
Posts: 389
Location: Florida, USA

PostPosted: Thu 22 Mar 2018, 10:29    Post subject: Wine-3.4  

My attempt at compiling wine-3.4

[wine-3.4 mirrors]

wine-3.4_v1.1.pet _________ puppy 431 [stripped=true]
wine-3.4_v1.2.pet _________ puppy 431 [stripped=false]
wine_DEV-3.4_v1.1.pet ____ puppy 431
wine_DEV-3.4_v1.2.pet ____ puppy 431

wine-3.4_v2.1.pet _________ racy 5.5 [stripped=true]
wine-3.4_v2.2.pet _________ racy 5.5 [stripped=false]
wine_DEV-3.4_v2.1.pet ____ racy 5.5
wine_DEV-3.4_v2.2.pet ____ racy 5.5

wine-3.4_v3.1.pet _________ tahrpup 6.0.5 PAE [stripped=true]
wine-3.4_v3.2.pet _________ tahrpup 6.0.5 PAE [stripped=false]
wine_DEV-3.4_v3.1.pet ____ tahrpup 6.0.5 PAE
wine_DEV-3.4_v3.2.pet ____ tahrpup 6.0.5 PAE

wine_DOC-3.4.pet

wine_extras-v2.1.pet __________ menu entries | mirrors
md5.txt and hashdeep.txt ____ checksums/hashes | mirrors

----------------------------------------------------------------
Notes for my webpage
http://version2013.yolasite.com/page1.php

The ">" character points to a directory of download links, or an individual download link.
example:
> __ wine/3.4/
> _____wine-3.4_v1.1.pet

----------------------------------------------------------------

For general use, I recommend packages that are 'stripped=true'.
For submitting bug reports to WineHQ, I recommend packages that are 'stripped=false'.
When submitting bug reports to WineHQ, it appears a 'stripped=false' Wine provides more information than a 'stripped=true' Wine.
[references: post | page]

The first post has links to:
pet to sfs scripts, menu entry utilities, and Wine usage tips.

----------------------------------------------------------------------------------------------------------

----------------
puppy 431
----------------

I compiled using puplet: Puppies 4.31.1 by forum member 'ttuuxxx'

mirrors | /distro/4.3__1/puppies-431.1-main-Xserver.iso
mirrors | /distro/4.3__1/devx_430.sfs

This puplet uses glibc 2.6.1
The Wine files listing 'puppy 431' will possibly:
- fail with a glibc before 2.6.1
- succeed with a glibc of 2.6.1 and above

To see what glibc your puppy has.
Code:
ldd --version
Code:
/lib/libc.so.6
Code:
getconf GNU_LIBC_VERSION

I installed the following packages, as one sfs file, before compiling;
also known as dependencies:

fontconfig/2.7.1/fontconfig-2.7.1-i486-pup4.pet [mirrors]
fontconfig/2.7.1/fontconfig_DEV-2.7.1-i486-pup4.pet

gmp/6.1.1/gmp-6.1.1-i486_v1.2.pet [mirrors]
gmp/6.1.1/gmp_DEV-6.1.1-i486_v1.2.pet

gnutls/3.5.2/gnutls-3.5.2_v1.2.pet [mirrors]
gnutls/3.5.2/gnutls_DEV-3.5.2.pet

lcms2/2.8/lcms2-2.8_v2.pet [mirrors]
lcms2/2.8/lcms2_DEV-2.8_v2.pet

libelf/0.8.13/libelf-0.8.13-i486_v2.pet [mirrors]
libelf/0.8.13/libelf_DEV-0.8.13-i486_v2.pet

libgcrypt/1.4.6/libgcrypt-1.4.6-i486-431.pet [mirrors]
libgcrypt/1.4.6/libgcrypt_DEV-1.4.6-i486-431.pet

libgpg-error/1.10/libgpg-error-1.10-i486-431.pet [mirrors]
libgpg-error/1.10/libgpg_DEV-error-1.10-i486-431.pet

libgphoto2/2.5.0/libgphoto2-2.5.0-i486_v2.pet [mirrors]
libgphoto2/2.5.0/libgphoto2_DEV-2.5.0-i486.pet

libtasn1/4.8/libtasn1-4.8-i486_v1.2.pet [mirrors]
libtasn1/4.8/libtasn1_DEV-4.8-i486_v1.2.pet

libusb/1.0.9/libusb-1.0.9-i486_v2.pet [mirrors]
libusb/1.0.9/libusb_DEV-1.0.9-i486_v2.pet

mpg123/1.12.4/mpg123-1.12.4.pet [mirrors]
mpg123/1.12.4/mpg123_DEV-1.12.4.pet

nettle/3.2/nettle-3.2_v1.2.pet [mirrors]
nettle/3.2/nettle_DEV-3.2_v1.2.pet

openal-soft/1.13/openal-soft-1.13-i486_v1.1.pet [mirrors]
openal-soft/1.13/openal-soft_DEV-1.13-i486_v1.pet

openldap/2.4.13/openldap-2.4.13-i486.pet [mirrors]
openldap/2.4.13/openldap_DEV-2.4.13-i486.pet

prelink/20130503/prelink-20130503-i486_v2.pet [mirrors]

xorg/7.3/xorg_xorg_full_dri-7.3.pet [mirrors]
xorg/7.3/xorg_xorg_full_dri_DEV-7.3.pet

------------------------------------

When compiling in puppy 431, I used:
v1.1
Code:
configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x --libdir=/usr/lib32 CFLAGS="-O2"

v1.2
Code:
configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x --libdir=/usr/lib32 CFLAGS="-g -O0 -fno-optimize-sibling-calls -fno-omit-frame-pointer -fno-inline"


----------------------------------------------------------------------------------------------------------

------------
racy 5.5
------------

I compiled using racy 5.5

mirrors | /distro/racy5.5/racy-5.5.iso
mirrors | /distro/racy5.5/devx_racy_5.5.sfs

This puppy distro uses glibc 2.10.1
The Wine files listing 'racy 5.5' will possibly:
- fail with a glibc before 2.10.1
- succeed with a glibc of 2.10.1 and above

To see what glibc your puppy has.
Code:
ldd --version
Code:
/lib/libc.so.6
Code:
getconf GNU_LIBC_VERSION

I installed the following packages, as one sfs file, before compiling;
also known as dependencies:

fontconfig/2.8.0/fontconfig-2.8.0-w5c.pet [mirrors]
fontconfig/2.8.0/fontconfig_DEV-2.8.0-w5c.pet

gmp/6.1.1/gmp-6.1.1-i486_v1.2.pet [mirrors]
gmp/6.1.1/gmp_DEV-6.1.1-i486_v1.2.pet

gnutls/3.5.2/gnutls-3.5.2_v1.2.pet [mirrors]
gnutls/3.5.2/gnutls_DEV-3.5.2.pet

lcms2/2.8/lcms2-2.8_v2.pet [mirrors]
lcms2/2.8/lcms2_DEV-2.8_v2.pet

libelf/0.8.13/libelf-0.8.13-i486_v2.pet [mirrors]
libelf/0.8.13/libelf_DEV-0.8.13-i486_v2.pet

libgcrypt/1.4.6/libgcrypt-1.4.6-i486-431.pet [mirrors]
libgcrypt/1.4.6/libgcrypt_DEV-1.4.6-i486-431.pet

libgpg-error/1.10/libgpg-error-1.10-i486-431.pet [mirrors]
libgpg-error/1.10/libgpg_DEV-error-1.10-i486-431.pet

libtasn1/4.8/libtasn1-4.8-i486_v1.2.pet [mirrors]
libtasn1/4.8/libtasn1_DEV-4.8-i486_v1.2.pet

mpg123/1.12.4/mpg123-1.12.4.pet [mirrors]
mpg123/1.12.4/mpg123_DEV-1.12.4.pet

nettle/3.2/nettle-3.2_v1.2.pet [mirrors]
nettle/3.2/nettle_DEV-3.2_v1.2.pet

openal-soft/1.13/openal-soft-1.13-i486_v1.1.pet [mirrors]
openal-soft/1.13/openal-soft_DEV-1.13-i486_v1.pet

openldap/2.4.13/openldap-2.4.13-i486.pet [mirrors]
openldap/2.4.13/openldap_DEV-2.4.13-i486.pet

prelink/20130503/prelink-20130503-i486_v2.pet [mirrors]

----------------------------------------

When compiling in racy 5.5, I used:
v2.1
Code:
configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x --libdir=/usr/lib32 CFLAGS="-O2"

v2.2
Code:
configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x --libdir=/usr/lib32 CFLAGS="-g -O0 -fno-optimize-sibling-calls -fno-omit-frame-pointer -fno-inline"


----------------------------------------------------------------------------------------------------------

----------------------------
tahrpup 6.0.5 PAE
----------------------------

I compiled using tahrpup 6.0.5 PAE

mirrors | /distro/tahrpup-6.0.5_PAE/tahr-6.0.5_PAE.iso
mirrors | /distro/tahrpup-6.0.5_PAE/devx_tahr_6.0.5.sfs

This puppy distro uses glibc 2.19
The Wine files listing 'tahrpup 6.0.5 PAE' will possibly:
- fail with a glibc before 2.19
- succeed with a glibc of 2.19 and above

To see what glibc your puppy has.
Code:
ldd --version
Code:
/lib/libc.so.6
Code:
getconf GNU_LIBC_VERSION

I installed the following packages before compiling;
also known as dependencies:

mpg123/1.12.4/mpg123-1.12.4.pet [mirrors]
mpg123/1.12.4/mpg123_DEV-1.12.4.pet

openal-soft/1.13/openal-soft-1.13-i486_v1.1.pet [mirrors]
openal-soft/1.13/openal-soft_DEV-1.13-i486_v1.pet

----------------------------------------

When compiling in tahrpup 6.0.5 PAE, I used:
v3.1
Code:
configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --with-x --libdir=/usr/lib32 CFLAGS="-O2"

v3.2
Code:
configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --with-x --libdir=/usr/lib32 CFLAGS="-g -O0 -fno-optimize-sibling-calls -fno-omit-frame-pointer -fno-inline"


----------------------------------------------------------------------------------------------------------

Menu entries, Color Setter, and other stuff I got from the file 'winegoodies.tar.gz' [post | page] provided by forum member 'technosaurus'.
I only made a few changes to the contents of that file.

----------------------------------------------------------------------------------------------------------

updated links at my homepage. see below.

Last edited by version2013 on Mon 26 Mar 2018, 22:53; edited 1 time in total
Back to top
View user's profile Send private message Visit poster's website 
version2013

Joined: 08 Sep 2013
Posts: 389
Location: Florida, USA

PostPosted: Thu 22 Mar 2018, 10:29    Post subject: Wine64-3.4  

My attempt at compiling wine64
This is a WOW64 build.
https://wiki.winehq.org/Building_Wine#Shared_WoW64

[wine-3.4 mirrors]

wine64-3.4_v4.1.pet _________ tahrpup64 6.0.5 [stripped=true]
wine64_DEV-3.4.pet __________ tahrpup64 6.0.5
wine64_DOC-3.4.pet __________ tahrpup64 6.0.5

----------------------------
tahrpup64 6.0.5
----------------------------

I compiled using tahrpup64 6.0.5

This puppy distro uses glibc 2.19
The Wine files listing 'tahrpup64 6.0.5' will possibly:
- fail with a glibc before 2.19
- succeed with a glibc of 2.19 and above

To see what glibc your puppy has.
Code:
ldd --version
Code:
/lib/libc.so.6
Code:
getconf GNU_LIBC_VERSION


----------------------------------------

When compiling in tahrpup64 6.0.5, I used:
Code:
configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --with-x --enable-win64 --libdir=/usr/lib64 CFLAGS="-O2"


https://wiki.winehq.org/Packaging#WoW64_Workarounds
For the 32-bit wine build, I used files from 'wine-3.4_v3.1.pet' from the previous forum post.
----------------------------------------------------------------------------------------------------------
The 32-bit wineserver is included, just in case it is needed.
It is a hidden file ".wineserver"

I do not have any 64-bit applications to test.
I can only do minimal testing because my AMD graphics driver is not functioning properly.
I may have to learn to compile Mesa to do any more detailed testing of 32-bit applications with this wine build.
I am relying on others to test this wine version.
Back to top
View user's profile Send private message Visit poster's website 
version2013

Joined: 08 Sep 2013
Posts: 389
Location: Florida, USA

PostPosted: Sat 07 Apr 2018, 00:17    Post subject: Wine-3.5  

My attempt at compiling wine-3.5

[wine-3.5 mirrors]

wine-3.5_v1.1.pet _________ puppy 431 [stripped=true]
wine-3.5_v1.2.pet _________ puppy 431 [stripped=false]
wine_DEV-3.5_v1.1.pet ____ puppy 431
wine_DEV-3.5_v1.2.pet ____ puppy 431

wine-3.5_v2.1.pet _________ racy 5.5 [stripped=true]
wine-3.5_v2.2.pet _________ racy 5.5 [stripped=false]
wine_DEV-3.5_v2.1.pet ____ racy 5.5
wine_DEV-3.5_v2.2.pet ____ racy 5.5

wine-3.5_v3.1.pet _________ tahrpup 6.0.5 PAE [stripped=true]
wine-3.5_v3.2.pet _________ tahrpup 6.0.5 PAE [stripped=false]
wine_DEV-3.5_v3.1.pet ____ tahrpup 6.0.5 PAE
wine_DEV-3.5_v3.2.pet ____ tahrpup 6.0.5 PAE

wine_DOC-3.5.pet

wine_extras-v2.1.pet __________ menu entries | mirrors
md5.txt and hashdeep.txt ____ checksums/hashes | mirrors

----------------------------------------------------------------
Notes for my webpage
http://version2013.yolasite.com/page1.php

The ">" character points to a directory of download links, or an individual download link.
example:
> __ wine/3.5/
> _____wine-3.5_v1.1.pet

----------------------------------------------------------------

For general use, I recommend packages that are 'stripped=true'.
For submitting bug reports to WineHQ, I recommend packages that are 'stripped=false'.
When submitting bug reports to WineHQ, it appears a 'stripped=false' Wine provides more information than a 'stripped=true' Wine.
[references: post | page]

The first post has links to:
pet to sfs scripts, menu entry utilities, and Wine usage tips.

----------------------------------------------------------------------------------------------------------

----------------
puppy 431
----------------

I compiled using puplet: Puppies 4.31.1 by forum member 'ttuuxxx'

mirrors | /distro/4.3__1/puppies-431.1-main-Xserver.iso
mirrors | /distro/4.3__1/devx_430.sfs

This puplet uses glibc 2.6.1
The Wine files listing 'puppy 431' will possibly:
- fail with a glibc before 2.6.1
- succeed with a glibc of 2.6.1 and above

To see what glibc your puppy has.
Code:
ldd --version
Code:
/lib/libc.so.6
Code:
getconf GNU_LIBC_VERSION

I installed the following packages, as one sfs file, before compiling;
also known as dependencies:

fontconfig/2.7.1/fontconfig-2.7.1-i486-pup4.pet [mirrors]
fontconfig/2.7.1/fontconfig_DEV-2.7.1-i486-pup4.pet

gmp/6.1.1/gmp-6.1.1-i486_v1.2.pet [mirrors]
gmp/6.1.1/gmp_DEV-6.1.1-i486_v1.2.pet

gnutls/3.5.2/gnutls-3.5.2_v1.2.pet [mirrors]
gnutls/3.5.2/gnutls_DEV-3.5.2.pet

lcms2/2.8/lcms2-2.8_v2.pet [mirrors]
lcms2/2.8/lcms2_DEV-2.8_v2.pet

libelf/0.8.13/libelf-0.8.13-i486_v2.pet [mirrors]
libelf/0.8.13/libelf_DEV-0.8.13-i486_v2.pet

libgcrypt/1.4.6/libgcrypt-1.4.6-i486-431.pet [mirrors]
libgcrypt/1.4.6/libgcrypt_DEV-1.4.6-i486-431.pet

libgpg-error/1.10/libgpg-error-1.10-i486-431.pet [mirrors]
libgpg-error/1.10/libgpg_DEV-error-1.10-i486-431.pet

libgphoto2/2.5.0/libgphoto2-2.5.0-i486_v2.pet [mirrors]
libgphoto2/2.5.0/libgphoto2_DEV-2.5.0-i486.pet

libtasn1/4.8/libtasn1-4.8-i486_v1.2.pet [mirrors]
libtasn1/4.8/libtasn1_DEV-4.8-i486_v1.2.pet

libusb/1.0.9/libusb-1.0.9-i486_v2.pet [mirrors]
libusb/1.0.9/libusb_DEV-1.0.9-i486_v2.pet

mpg123/1.12.4/mpg123-1.12.4.pet [mirrors]
mpg123/1.12.4/mpg123_DEV-1.12.4.pet

nettle/3.2/nettle-3.2_v1.2.pet [mirrors]
nettle/3.2/nettle_DEV-3.2_v1.2.pet

openal-soft/1.13/openal-soft-1.13-i486_v1.1.pet [mirrors]
openal-soft/1.13/openal-soft_DEV-1.13-i486_v1.pet

openldap/2.4.13/openldap-2.4.13-i486.pet [mirrors]
openldap/2.4.13/openldap_DEV-2.4.13-i486.pet

prelink/20130503/prelink-20130503-i486_v2.pet [mirrors]

xorg/7.3/xorg_xorg_full_dri-7.3.pet [mirrors]
xorg/7.3/xorg_xorg_full_dri_DEV-7.3.pet

------------------------------------

When compiling in puppy 431, I used:
v1.1
Code:
configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x --libdir=/usr/lib32 CFLAGS="-O2"

v1.2
Code:
configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x --libdir=/usr/lib32 CFLAGS="-g -O0 -fno-optimize-sibling-calls -fno-omit-frame-pointer -fno-inline"


----------------------------------------------------------------------------------------------------------

------------
racy 5.5
------------

I compiled using racy 5.5

mirrors | /distro/racy5.5/racy-5.5.iso
mirrors | /distro/racy5.5/devx_racy_5.5.sfs

This puppy distro uses glibc 2.10.1
The Wine files listing 'racy 5.5' will possibly:
- fail with a glibc before 2.10.1
- succeed with a glibc of 2.10.1 and above

To see what glibc your puppy has.
Code:
ldd --version
Code:
/lib/libc.so.6
Code:
getconf GNU_LIBC_VERSION

I installed the following packages, as one sfs file, before compiling;
also known as dependencies:

fontconfig/2.8.0/fontconfig-2.8.0-w5c.pet [mirrors]
fontconfig/2.8.0/fontconfig_DEV-2.8.0-w5c.pet

gmp/6.1.1/gmp-6.1.1-i486_v1.2.pet [mirrors]
gmp/6.1.1/gmp_DEV-6.1.1-i486_v1.2.pet

gnutls/3.5.2/gnutls-3.5.2_v1.2.pet [mirrors]
gnutls/3.5.2/gnutls_DEV-3.5.2.pet

lcms2/2.8/lcms2-2.8_v2.pet [mirrors]
lcms2/2.8/lcms2_DEV-2.8_v2.pet

libelf/0.8.13/libelf-0.8.13-i486_v2.pet [mirrors]
libelf/0.8.13/libelf_DEV-0.8.13-i486_v2.pet

libgcrypt/1.4.6/libgcrypt-1.4.6-i486-431.pet [mirrors]
libgcrypt/1.4.6/libgcrypt_DEV-1.4.6-i486-431.pet

libgpg-error/1.10/libgpg-error-1.10-i486-431.pet [mirrors]
libgpg-error/1.10/libgpg_DEV-error-1.10-i486-431.pet

libtasn1/4.8/libtasn1-4.8-i486_v1.2.pet [mirrors]
libtasn1/4.8/libtasn1_DEV-4.8-i486_v1.2.pet

mpg123/1.12.4/mpg123-1.12.4.pet [mirrors]
mpg123/1.12.4/mpg123_DEV-1.12.4.pet

nettle/3.2/nettle-3.2_v1.2.pet [mirrors]
nettle/3.2/nettle_DEV-3.2_v1.2.pet

openal-soft/1.13/openal-soft-1.13-i486_v1.1.pet [mirrors]
openal-soft/1.13/openal-soft_DEV-1.13-i486_v1.pet

openldap/2.4.13/openldap-2.4.13-i486.pet [mirrors]
openldap/2.4.13/openldap_DEV-2.4.13-i486.pet

prelink/20130503/prelink-20130503-i486_v2.pet [mirrors]

----------------------------------------

When compiling in racy 5.5, I used:
v2.1
Code:
configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x --libdir=/usr/lib32 CFLAGS="-O2"

v2.2
Code:
configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x --libdir=/usr/lib32 CFLAGS="-g -O0 -fno-optimize-sibling-calls -fno-omit-frame-pointer -fno-inline"


----------------------------------------------------------------------------------------------------------

----------------------------
tahrpup 6.0.5 PAE
----------------------------

I compiled using tahrpup 6.0.5 PAE

mirrors | /distro/tahrpup-6.0.5_PAE/tahr-6.0.5_PAE.iso
mirrors | /distro/tahrpup-6.0.5_PAE/devx_tahr_6.0.5.sfs

This puppy distro uses glibc 2.19
The Wine files listing 'tahrpup 6.0.5 PAE' will possibly:
- fail with a glibc before 2.19
- succeed with a glibc of 2.19 and above

To see what glibc your puppy has.
Code:
ldd --version
Code:
/lib/libc.so.6
Code:
getconf GNU_LIBC_VERSION

I installed the following packages before compiling;
also known as dependencies:

mpg123/1.12.4/mpg123-1.12.4.pet [mirrors]
mpg123/1.12.4/mpg123_DEV-1.12.4.pet

openal-soft/1.13/openal-soft-1.13-i486_v1.1.pet [mirrors]
openal-soft/1.13/openal-soft_DEV-1.13-i486_v1.pet

----------------------------------------

When compiling in tahrpup 6.0.5 PAE, I used:
v3.1
Code:
configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --with-x --libdir=/usr/lib32 CFLAGS="-O2"

v3.2
Code:
configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --with-x --libdir=/usr/lib32 CFLAGS="-g -O0 -fno-optimize-sibling-calls -fno-omit-frame-pointer -fno-inline"


----------------------------------------------------------------------------------------------------------

Menu entries, Color Setter, and other stuff I got from the file 'winegoodies.tar.gz' [post | page] provided by forum member 'technosaurus'.
I only made a few changes to the contents of that file.

----------------------------------------------------------------------------------------------------------

updated links at my homepage. see below.

Last edited by version2013 on Mon 09 Apr 2018, 21:27; edited 1 time in total
Back to top
View user's profile Send private message Visit poster's website 
version2013

Joined: 08 Sep 2013
Posts: 389
Location: Florida, USA

PostPosted: Sat 07 Apr 2018, 00:17    Post subject: Wine64-3.5  

My attempt at compiling wine64
This is a WOW64 build.
https://wiki.winehq.org/Building_Wine#Shared_WoW64

[wine-3.5 mirrors]

wine64-3.5_v4.1.pet _________ tahrpup64 6.0.5 [stripped=true]
wine64_DEV-3.5.pet __________ tahrpup64 6.0.5
wine64_DOC-3.5.pet __________ tahrpup64 6.0.5

----------------------------
tahrpup64 6.0.5
----------------------------

I compiled using tahrpup64 6.0.5

This puppy distro uses glibc 2.19
The Wine files listing 'tahrpup64 6.0.5' will possibly:
- fail with a glibc before 2.19
- succeed with a glibc of 2.19 and above

To see what glibc your puppy has.
Code:
ldd --version
Code:
/lib/libc.so.6
Code:
getconf GNU_LIBC_VERSION


----------------------------------------

When compiling in tahrpup64 6.0.5, I used:
Code:
configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --with-x --enable-win64 --libdir=/usr/lib64 CFLAGS="-O2"


https://wiki.winehq.org/Packaging#WoW64_Workarounds
For the 32-bit wine build, I used files from 'wine-3.5_v3.1.pet' from the previous forum post.
----------------------------------------------------------------------------------------------------------
The 32-bit wineserver is included, just in case it is needed.
It is a hidden file ".wineserver"

I do not have any 64-bit applications to test.
I can only do minimal testing because my AMD graphics driver is not functioning properly.
I may have to learn to compile Mesa to do any more detailed testing of 32-bit applications with this wine build.
I am relying on others to test this wine version.
Back to top
View user's profile Send private message Visit poster's website 
version2013

Joined: 08 Sep 2013
Posts: 389
Location: Florida, USA

PostPosted: Wed 18 Apr 2018, 20:57    Post subject: Wine-3.6  

My attempt at compiling wine-3.6

[wine-3.6 mirrors]

wine-3.6_v1.1.pet _________ puppy 431 [stripped=true]
wine-3.6_v1.2.pet _________ puppy 431 [stripped=false]
wine_DEV-3.6_v1.1.pet ____ puppy 431
wine_DEV-3.6_v1.2.pet ____ puppy 431

wine-3.6_v2.1.pet _________ racy 5.5 [stripped=true]
wine-3.6_v2.2.pet _________ racy 5.5 [stripped=false]
wine_DEV-3.6_v2.1.pet ____ racy 5.5
wine_DEV-3.6_v2.2.pet ____ racy 5.5

wine-3.6_v3.1.pet _________ tahrpup 6.0.5 PAE [stripped=true]
wine-3.6_v3.2.pet _________ tahrpup 6.0.5 PAE [stripped=false]
wine_DEV-3.6_v3.1.pet ____ tahrpup 6.0.5 PAE
wine_DEV-3.6_v3.2.pet ____ tahrpup 6.0.5 PAE

wine_DOC-3.6.pet

wine_extras-v2.1.pet __________ menu entries | mirrors
md5.txt and hashdeep.txt ____ checksums/hashes | mirrors

----------------------------------------------------------------
Notes for my webpage
http://version2013.yolasite.com/page1.php

The ">" character points to a directory of download links, or an individual download link.
example:
> __ wine/3.6/
> _____wine-3.6_v1.1.pet

----------------------------------------------------------------

For general use, I recommend packages that are 'stripped=true'.
For submitting bug reports to WineHQ, I recommend packages that are 'stripped=false'.
When submitting bug reports to WineHQ, it appears a 'stripped=false' Wine provides more information than a 'stripped=true' Wine.
[references: post | page]

The first post has links to:
pet to sfs scripts, menu entry utilities, and Wine usage tips.

----------------------------------------------------------------------------------------------------------

----------------
puppy 431
----------------

I compiled using puplet: Puppies 4.31.1 by forum member 'ttuuxxx'

mirrors | /distro/4.3__1/puppies-431.1-main-Xserver.iso
mirrors | /distro/4.3__1/devx_430.sfs

This puplet uses glibc 2.6.1
The Wine files listing 'puppy 431' will possibly:
- fail with a glibc before 2.6.1
- succeed with a glibc of 2.6.1 and above

To see what glibc your puppy has.
Code:
ldd --version
Code:
/lib/libc.so.6
Code:
getconf GNU_LIBC_VERSION

I installed the following packages, as one sfs file, before compiling;
also known as dependencies:

fontconfig/2.7.1/fontconfig-2.7.1-i486-pup4.pet [mirrors]
fontconfig/2.7.1/fontconfig_DEV-2.7.1-i486-pup4.pet

gmp/6.1.1/gmp-6.1.1-i486_v1.2.pet [mirrors]
gmp/6.1.1/gmp_DEV-6.1.1-i486_v1.2.pet

gnutls/3.5.2/gnutls-3.5.2_v1.2.pet [mirrors]
gnutls/3.5.2/gnutls_DEV-3.5.2.pet

lcms2/2.8/lcms2-2.8_v2.pet [mirrors]
lcms2/2.8/lcms2_DEV-2.8_v2.pet

libelf/0.8.13/libelf-0.8.13-i486_v2.pet [mirrors]
libelf/0.8.13/libelf_DEV-0.8.13-i486_v2.pet

libgcrypt/1.4.6/libgcrypt-1.4.6-i486-431.pet [mirrors]
libgcrypt/1.4.6/libgcrypt_DEV-1.4.6-i486-431.pet

libgpg-error/1.10/libgpg-error-1.10-i486-431.pet [mirrors]
libgpg-error/1.10/libgpg_DEV-error-1.10-i486-431.pet

libgphoto2/2.5.0/libgphoto2-2.5.0-i486_v2.pet [mirrors]
libgphoto2/2.5.0/libgphoto2_DEV-2.5.0-i486.pet

libtasn1/4.8/libtasn1-4.8-i486_v1.2.pet [mirrors]
libtasn1/4.8/libtasn1_DEV-4.8-i486_v1.2.pet

libusb/1.0.9/libusb-1.0.9-i486_v2.pet [mirrors]
libusb/1.0.9/libusb_DEV-1.0.9-i486_v2.pet

mpg123/1.12.4/mpg123-1.12.4.pet [mirrors]
mpg123/1.12.4/mpg123_DEV-1.12.4.pet

nettle/3.2/nettle-3.2_v1.2.pet [mirrors]
nettle/3.2/nettle_DEV-3.2_v1.2.pet

openal-soft/1.13/openal-soft-1.13-i486_v1.1.pet [mirrors]
openal-soft/1.13/openal-soft_DEV-1.13-i486_v1.pet

openldap/2.4.13/openldap-2.4.13-i486.pet [mirrors]
openldap/2.4.13/openldap_DEV-2.4.13-i486.pet

prelink/20130503/prelink-20130503-i486_v2.pet [mirrors]

xorg/7.3/xorg_xorg_full_dri-7.3.pet [mirrors]
xorg/7.3/xorg_xorg_full_dri_DEV-7.3.pet

------------------------------------

When compiling in puppy 431, I used:
v1.1
Code:
configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x --libdir=/usr/lib32 CFLAGS="-O2"

v1.2
Code:
configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x --libdir=/usr/lib32 CFLAGS="-g -O0 -fno-optimize-sibling-calls -fno-omit-frame-pointer -fno-inline"


----------------------------------------------------------------------------------------------------------

------------
racy 5.5
------------

I compiled using racy 5.5

mirrors | /distro/racy5.5/racy-5.5.iso
mirrors | /distro/racy5.5/devx_racy_5.5.sfs

This puppy distro uses glibc 2.10.1
The Wine files listing 'racy 5.5' will possibly:
- fail with a glibc before 2.10.1
- succeed with a glibc of 2.10.1 and above

To see what glibc your puppy has.
Code:
ldd --version
Code:
/lib/libc.so.6
Code:
getconf GNU_LIBC_VERSION

I installed the following packages, as one sfs file, before compiling;
also known as dependencies:

fontconfig/2.8.0/fontconfig-2.8.0-w5c.pet [mirrors]
fontconfig/2.8.0/fontconfig_DEV-2.8.0-w5c.pet

gmp/6.1.1/gmp-6.1.1-i486_v1.2.pet [mirrors]
gmp/6.1.1/gmp_DEV-6.1.1-i486_v1.2.pet

gnutls/3.5.2/gnutls-3.5.2_v1.2.pet [mirrors]
gnutls/3.5.2/gnutls_DEV-3.5.2.pet

lcms2/2.8/lcms2-2.8_v2.pet [mirrors]
lcms2/2.8/lcms2_DEV-2.8_v2.pet

libelf/0.8.13/libelf-0.8.13-i486_v2.pet [mirrors]
libelf/0.8.13/libelf_DEV-0.8.13-i486_v2.pet

libgcrypt/1.4.6/libgcrypt-1.4.6-i486-431.pet [mirrors]
libgcrypt/1.4.6/libgcrypt_DEV-1.4.6-i486-431.pet

libgpg-error/1.10/libgpg-error-1.10-i486-431.pet [mirrors]
libgpg-error/1.10/libgpg_DEV-error-1.10-i486-431.pet

libtasn1/4.8/libtasn1-4.8-i486_v1.2.pet [mirrors]
libtasn1/4.8/libtasn1_DEV-4.8-i486_v1.2.pet

mpg123/1.12.4/mpg123-1.12.4.pet [mirrors]
mpg123/1.12.4/mpg123_DEV-1.12.4.pet

nettle/3.2/nettle-3.2_v1.2.pet [mirrors]
nettle/3.2/nettle_DEV-3.2_v1.2.pet

openal-soft/1.13/openal-soft-1.13-i486_v1.1.pet [mirrors]
openal-soft/1.13/openal-soft_DEV-1.13-i486_v1.pet

openldap/2.4.13/openldap-2.4.13-i486.pet [mirrors]
openldap/2.4.13/openldap_DEV-2.4.13-i486.pet

prelink/20130503/prelink-20130503-i486_v2.pet [mirrors]

----------------------------------------

When compiling in racy 5.5, I used:
v2.1
Code:
configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x --libdir=/usr/lib32 CFLAGS="-O2"

v2.2
Code:
configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x --libdir=/usr/lib32 CFLAGS="-g -O0 -fno-optimize-sibling-calls -fno-omit-frame-pointer -fno-inline"


----------------------------------------------------------------------------------------------------------

----------------------------
tahrpup 6.0.5 PAE
----------------------------

I compiled using tahrpup 6.0.5 PAE

mirrors | /distro/tahrpup-6.0.5_PAE/tahr-6.0.5_PAE.iso
mirrors | /distro/tahrpup-6.0.5_PAE/devx_tahr_6.0.5.sfs

This puppy distro uses glibc 2.19
The Wine files listing 'tahrpup 6.0.5 PAE' will possibly:
- fail with a glibc before 2.19
- succeed with a glibc of 2.19 and above

To see what glibc your puppy has.
Code:
ldd --version
Code:
/lib/libc.so.6
Code:
getconf GNU_LIBC_VERSION

I installed the following packages before compiling;
also known as dependencies:

mpg123/1.12.4/mpg123-1.12.4.pet [mirrors]
mpg123/1.12.4/mpg123_DEV-1.12.4.pet

openal-soft/1.13/openal-soft-1.13-i486_v1.1.pet [mirrors]
openal-soft/1.13/openal-soft_DEV-1.13-i486_v1.pet

----------------------------------------

When compiling in tahrpup 6.0.5 PAE, I used:
v3.1
Code:
configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --with-x --libdir=/usr/lib32 CFLAGS="-O2"

v3.2
Code:
configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --with-x --libdir=/usr/lib32 CFLAGS="-g -O0 -fno-optimize-sibling-calls -fno-omit-frame-pointer -fno-inline"


----------------------------------------------------------------------------------------------------------

Menu entries, Color Setter, and other stuff I got from the file 'winegoodies.tar.gz' [post | page] provided by forum member 'technosaurus'.
I only made a few changes to the contents of that file.

----------------------------------------------------------------------------------------------------------

updated links at my homepage. see below.

Last edited by version2013 on Mon 30 Apr 2018, 18:07; edited 1 time in total
Back to top
View user's profile Send private message Visit poster's website 
version2013

Joined: 08 Sep 2013
Posts: 389
Location: Florida, USA

PostPosted: Wed 18 Apr 2018, 20:58    Post subject: Wine64-3.6  

My attempt at compiling wine64
This is a WOW64 build.
https://wiki.winehq.org/Building_Wine#Shared_WoW64

[wine-3.6 mirrors]

wine64-3.6_v4.1.pet _________ tahrpup64 6.0.5 [stripped=true]
wine64_DEV-3.6.pet __________ tahrpup64 6.0.5
wine64_DOC-3.6.pet __________ tahrpup64 6.0.5

----------------------------
tahrpup64 6.0.5
----------------------------

I compiled using tahrpup64 6.0.5

This puppy distro uses glibc 2.19
The Wine files listing 'tahrpup64 6.0.5' will possibly:
- fail with a glibc before 2.19
- succeed with a glibc of 2.19 and above

To see what glibc your puppy has.
Code:
ldd --version
Code:
/lib/libc.so.6
Code:
getconf GNU_LIBC_VERSION


----------------------------------------

When compiling in tahrpup64 6.0.5, I used:
Code:
configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --with-x --enable-win64 --libdir=/usr/lib64 CFLAGS="-O2"


https://wiki.winehq.org/Packaging#WoW64_Workarounds
For the 32-bit wine build, I used files from 'wine-3.6_v3.1.pet' from the previous forum post.
----------------------------------------------------------------------------------------------------------
The 32-bit wineserver is included, just in case it is needed.
It is a hidden file ".wineserver"

I do not have any 64-bit applications to test.
I can only do minimal testing because my AMD graphics driver is not functioning properly.
I may have to learn to compile Mesa to do any more detailed testing of 32-bit applications with this wine build.
I am relying on others to test this wine version.
Back to top
View user's profile Send private message Visit poster's website 
version2013

Joined: 08 Sep 2013
Posts: 389
Location: Florida, USA

PostPosted: Mon 30 Apr 2018, 23:50    Post subject: Wine-3.7  

My attempt at compiling wine-3.7

[wine-3.7 mirrors]

wine-3.7_v1.1.pet _________ puppy 431 [stripped=true]
wine-3.7_v1.2.pet _________ puppy 431 [stripped=false]
wine_DEV-3.7_v1.1.pet ____ puppy 431
wine_DEV-3.7_v1.2.pet ____ puppy 431

wine-3.7_v2.1.pet _________ racy 5.5 [stripped=true]
wine-3.7_v2.2.pet _________ racy 5.5 [stripped=false]
wine_DEV-3.7_v2.1.pet ____ racy 5.5
wine_DEV-3.7_v2.2.pet ____ racy 5.5

wine-3.7_v3.1.pet _________ tahrpup 6.0.5 PAE [stripped=true]
wine-3.7_v3.2.pet _________ tahrpup 6.0.5 PAE [stripped=false]
wine_DEV-3.7_v3.1.pet ____ tahrpup 6.0.5 PAE
wine_DEV-3.7_v3.2.pet ____ tahrpup 6.0.5 PAE

wine_DOC-3.7.pet

wine_extras-v2.1.pet __________ menu entries | mirrors
md5.txt and hashdeep.txt ____ checksums/hashes | mirrors

----------------------------------------------------------------
Notes for my webpage
http://version2013.yolasite.com/page1.php

The ">" character points to a directory of download links, or an individual download link.
example:
> __ wine/3.7/
> _____wine-3.7_v1.1.pet

----------------------------------------------------------------

For general use, I recommend packages that are 'stripped=true'.
For submitting bug reports to WineHQ, I recommend packages that are 'stripped=false'.
When submitting bug reports to WineHQ, it appears a 'stripped=false' Wine provides more information than a 'stripped=true' Wine.
[references: post | page]

The first post has links to:
pet to sfs scripts, menu entry utilities, and Wine usage tips.

----------------------------------------------------------------------------------------------------------

----------------
puppy 431
----------------

I compiled using puplet: Puppies 4.31.1 by forum member 'ttuuxxx'

mirrors | /distro/4.3__1/puppies-431.1-main-Xserver.iso
mirrors | /distro/4.3__1/devx_430.sfs

This puplet uses glibc 2.6.1
The Wine files listing 'puppy 431' will possibly:
- fail with a glibc before 2.6.1
- succeed with a glibc of 2.6.1 and above

To see what glibc your puppy has.
Code:
ldd --version
Code:
/lib/libc.so.6
Code:
getconf GNU_LIBC_VERSION

I installed the following packages, as one sfs file, before compiling;
also known as dependencies:

fontconfig/2.7.1/fontconfig-2.7.1-i486-pup4.pet [mirrors]
fontconfig/2.7.1/fontconfig_DEV-2.7.1-i486-pup4.pet

gmp/6.1.1/gmp-6.1.1-i486_v1.2.pet [mirrors]
gmp/6.1.1/gmp_DEV-6.1.1-i486_v1.2.pet

gnutls/3.5.2/gnutls-3.5.2_v1.2.pet [mirrors]
gnutls/3.5.2/gnutls_DEV-3.5.2.pet

lcms2/2.8/lcms2-2.8_v2.pet [mirrors]
lcms2/2.8/lcms2_DEV-2.8_v2.pet

libelf/0.8.13/libelf-0.8.13-i486_v2.pet [mirrors]
libelf/0.8.13/libelf_DEV-0.8.13-i486_v2.pet

libgcrypt/1.4.6/libgcrypt-1.4.6-i486-431.pet [mirrors]
libgcrypt/1.4.6/libgcrypt_DEV-1.4.6-i486-431.pet

libgpg-error/1.10/libgpg-error-1.10-i486-431.pet [mirrors]
libgpg-error/1.10/libgpg_DEV-error-1.10-i486-431.pet

libgphoto2/2.5.0/libgphoto2-2.5.0-i486_v2.pet [mirrors]
libgphoto2/2.5.0/libgphoto2_DEV-2.5.0-i486.pet

libtasn1/4.8/libtasn1-4.8-i486_v1.2.pet [mirrors]
libtasn1/4.8/libtasn1_DEV-4.8-i486_v1.2.pet

libusb/1.0.9/libusb-1.0.9-i486_v2.pet [mirrors]
libusb/1.0.9/libusb_DEV-1.0.9-i486_v2.pet

mpg123/1.12.4/mpg123-1.12.4.pet [mirrors]
mpg123/1.12.4/mpg123_DEV-1.12.4.pet

nettle/3.2/nettle-3.2_v1.2.pet [mirrors]
nettle/3.2/nettle_DEV-3.2_v1.2.pet

openal-soft/1.13/openal-soft-1.13-i486_v1.1.pet [mirrors]
openal-soft/1.13/openal-soft_DEV-1.13-i486_v1.pet

openldap/2.4.13/openldap-2.4.13-i486.pet [mirrors]
openldap/2.4.13/openldap_DEV-2.4.13-i486.pet

prelink/20130503/prelink-20130503-i486_v2.pet [mirrors]

xorg/7.3/xorg_xorg_full_dri-7.3.pet [mirrors]
xorg/7.3/xorg_xorg_full_dri_DEV-7.3.pet

------------------------------------

When compiling in puppy 431, I used:
v1.1
Code:
configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x --libdir=/usr/lib32 CFLAGS="-O2"

v1.2
Code:
configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x --libdir=/usr/lib32 CFLAGS="-g -O0 -fno-optimize-sibling-calls -fno-omit-frame-pointer -fno-inline"


----------------------------------------------------------------------------------------------------------

------------
racy 5.5
------------

I compiled using racy 5.5

mirrors | /distro/racy5.5/racy-5.5.iso
mirrors | /distro/racy5.5/devx_racy_5.5.sfs

This puppy distro uses glibc 2.10.1
The Wine files listing 'racy 5.5' will possibly:
- fail with a glibc before 2.10.1
- succeed with a glibc of 2.10.1 and above

To see what glibc your puppy has.
Code:
ldd --version
Code:
/lib/libc.so.6
Code:
getconf GNU_LIBC_VERSION

I installed the following packages, as one sfs file, before compiling;
also known as dependencies:

fontconfig/2.8.0/fontconfig-2.8.0-w5c.pet [mirrors]
fontconfig/2.8.0/fontconfig_DEV-2.8.0-w5c.pet

gmp/6.1.1/gmp-6.1.1-i486_v1.2.pet [mirrors]
gmp/6.1.1/gmp_DEV-6.1.1-i486_v1.2.pet

gnutls/3.5.2/gnutls-3.5.2_v1.2.pet [mirrors]
gnutls/3.5.2/gnutls_DEV-3.5.2.pet

lcms2/2.8/lcms2-2.8_v2.pet [mirrors]
lcms2/2.8/lcms2_DEV-2.8_v2.pet

libelf/0.8.13/libelf-0.8.13-i486_v2.pet [mirrors]
libelf/0.8.13/libelf_DEV-0.8.13-i486_v2.pet

libgcrypt/1.4.6/libgcrypt-1.4.6-i486-431.pet [mirrors]
libgcrypt/1.4.6/libgcrypt_DEV-1.4.6-i486-431.pet

libgpg-error/1.10/libgpg-error-1.10-i486-431.pet [mirrors]
libgpg-error/1.10/libgpg_DEV-error-1.10-i486-431.pet

libtasn1/4.8/libtasn1-4.8-i486_v1.2.pet [mirrors]
libtasn1/4.8/libtasn1_DEV-4.8-i486_v1.2.pet

mpg123/1.12.4/mpg123-1.12.4.pet [mirrors]
mpg123/1.12.4/mpg123_DEV-1.12.4.pet

nettle/3.2/nettle-3.2_v1.2.pet [mirrors]
nettle/3.2/nettle_DEV-3.2_v1.2.pet

openal-soft/1.13/openal-soft-1.13-i486_v1.1.pet [mirrors]
openal-soft/1.13/openal-soft_DEV-1.13-i486_v1.pet

openldap/2.4.13/openldap-2.4.13-i486.pet [mirrors]
openldap/2.4.13/openldap_DEV-2.4.13-i486.pet

prelink/20130503/prelink-20130503-i486_v2.pet [mirrors]

----------------------------------------

When compiling in racy 5.5, I used:
v2.1
Code:
configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x --libdir=/usr/lib32 CFLAGS="-O2"

v2.2
Code:
configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x --libdir=/usr/lib32 CFLAGS="-g -O0 -fno-optimize-sibling-calls -fno-omit-frame-pointer -fno-inline"


----------------------------------------------------------------------------------------------------------

----------------------------
tahrpup 6.0.5 PAE
----------------------------

I compiled using tahrpup 6.0.5 PAE

mirrors | /distro/tahrpup-6.0.5_PAE/tahr-6.0.5_PAE.iso
mirrors | /distro/tahrpup-6.0.5_PAE/devx_tahr_6.0.5.sfs

This puppy distro uses glibc 2.19
The Wine files listing 'tahrpup 6.0.5 PAE' will possibly:
- fail with a glibc before 2.19
- succeed with a glibc of 2.19 and above

To see what glibc your puppy has.
Code:
ldd --version
Code:
/lib/libc.so.6
Code:
getconf GNU_LIBC_VERSION

I installed the following packages before compiling;
also known as dependencies:

mpg123/1.12.4/mpg123-1.12.4.pet [mirrors]
mpg123/1.12.4/mpg123_DEV-1.12.4.pet

openal-soft/1.13/openal-soft-1.13-i486_v1.1.pet [mirrors]
openal-soft/1.13/openal-soft_DEV-1.13-i486_v1.pet

----------------------------------------

When compiling in tahrpup 6.0.5 PAE, I used:
v3.1
Code:
configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --with-x --libdir=/usr/lib32 CFLAGS="-O2"

v3.2
Code:
configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --with-x --libdir=/usr/lib32 CFLAGS="-g -O0 -fno-optimize-sibling-calls -fno-omit-frame-pointer -fno-inline"


----------------------------------------------------------------------------------------------------------

Menu entries, Color Setter, and other stuff I got from the file 'winegoodies.tar.gz' [post | page] provided by forum member 'technosaurus'.
I only made a few changes to the contents of that file.

----------------------------------------------------------------------------------------------------------

updated links at my homepage. see below.

Last edited by version2013 on Wed 09 May 2018, 23:03; edited 1 time in total
Back to top
View user's profile Send private message Visit poster's website 
version2013

Joined: 08 Sep 2013
Posts: 389
Location: Florida, USA

PostPosted: Mon 30 Apr 2018, 23:50    Post subject: Wine64-3.7  

My attempt at compiling wine64
This is a WOW64 build.
https://wiki.winehq.org/Building_Wine#Shared_WoW64

[wine-3.7 mirrors]

wine64-3.7_v4.1.pet _________ tahrpup64 6.0.5 [stripped=true]
wine64_DEV-3.7.pet __________ tahrpup64 6.0.5
wine64_DOC-3.7.pet __________ tahrpup64 6.0.5

----------------------------
tahrpup64 6.0.5
----------------------------

I compiled using tahrpup64 6.0.5

This puppy distro uses glibc 2.19
The Wine files listing 'tahrpup64 6.0.5' will possibly:
- fail with a glibc before 2.19
- succeed with a glibc of 2.19 and above

To see what glibc your puppy has.
Code:
ldd --version
Code:
/lib/libc.so.6
Code:
getconf GNU_LIBC_VERSION


----------------------------------------

When compiling in tahrpup64 6.0.5, I used:
Code:
configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --with-x --enable-win64 --libdir=/usr/lib64 CFLAGS="-O2"


https://wiki.winehq.org/Packaging#WoW64_Workarounds
For the 32-bit wine build, I used files from 'wine-3.7_v3.1.pet' from the previous forum post.
----------------------------------------------------------------------------------------------------------
The 32-bit wineserver is included, just in case it is needed.
It is a hidden file ".wineserver"

I do not have any 64-bit applications to test.
I can only do minimal testing because my AMD graphics driver is not functioning properly.
I may have to learn to compile Mesa to do any more detailed testing of 32-bit applications with this wine build.
I am relying on others to test this wine version.
Back to top
View user's profile Send private message Visit poster's website 
Display posts from previous:   Sort by:   
Page 19 of 23 [331 Posts]   Goto page: Previous 1, 2, 3, ..., 17, 18, 19, 20, 21, 22, 23 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Virtualization
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.2793s ][ Queries: 12 (0.0449s) ][ GZIP on ]